#
# spec file for package python-docker-pycreds
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%bcond_with test

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-docker-pycreds
Version:        0.2.1
Release:        lp151.2.2
Summary:        Python bindings for the Docker credentials store API
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/shin-/dockerpy-creds
Source:         https://files.pythonhosted.org/packages/source/d/docker-pycreds/docker-pycreds-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module pytest}
%endif
Requires:       python-six
Recommends:     docker-credential-secretservice
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
This package contains the Python bindings for the Docker credentials
store API.

%prep
%setup -q -n docker-pycreds-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}/%{$python_sitelib}/

%if %{with test}
%check
%python_expand py.test-%{$python_bin_suffix} .
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md LICENSE
%{python_sitelib}/*

%changelog
* Thu Aug  3 2017 toddrme2178@gmail.com
- Implement single-spec version
- Remove fix-requirements.patch
  This is only needed for setup.py test, which doesn't actually
  run the tests anyway so isn't used.
* Tue Feb 21 2017 dmueller@suse.com
- update fix-requirements.patch: drop flake8
- fix source url
* Fri Nov  4 2016 jengelh@inai.de
- Summary/Description update
* Fri Nov  4 2016 jmassaguerpla@suse.com
- relax test-requirements so that it builds on Factory
* Thu Nov  3 2016 jmassaguerpla@suse.com
- Add the description
- Remove the SLE11 case
* Wed Oct 26 2016 jmassaguerpla@suse.com
- initial import
